### Class

# FwupdPlugin UsbDescriptor

#### Description

    class FwupdPlugin.UsbDescriptor : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FuFirmware
- GObject

#### Descendants

- FuUsbBosDescriptor
- FuUsbConfigDescriptor
- FuUsbEndpoint
- FuUsbHidDescriptor
- FuUsbInterface

#### Functions

###### fu_usb_descriptor_kind_from_string

Converts a string to an enumerated value.

###### fu_usb_descriptor_kind_to_string

Converts an enumerated value to a string.

#### Instance methods

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginUsbDescriptorClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.